Welcome to PrePromote

InterLyn PrePromote Help

Welcome to PrePromote

PrePromote is a free, comprehensive pre-promotion software program.

PrePromote provides a broad set of integrated tools to prepare you website for inclusion in search engines:

  • Metatag creation
  • Page analysis
  • Doorway page generation

PrePromote can also be co-branded without charge and freely distributed.

Tip: You can press F1 at any point while you are using PrePromote to receive help with the current task.


Creating metatags

Creating metatags

The creation tool is where you create metatags for your web pages. Metatags contain metadata, which describes your website; what it's about, who created it etc. and while ordinary users don't see it, it is of crucial importance to search engines.

To launch the creation tool:

  • Click the "Create >" tab
  • Go to: "File" > "Create"

Introduction:

Search engines use metadata, amongst other things, to classify, describe and rank your web pages within their indices so to ensure good search engine positioning it is critically to get your metadata right.

Operation:

The creation tool helps you do this and your first step is to complete the "Keywords", "Description" and "Title" fields and select an appropriate catgory from the "Subject" list.

Once you have completed the metadata for you web page, press "Create" to see the finished metatags. You can then copy the metatags to the Clipboard by pressing the "Copy to Clipboard" button. You should paste the metatags in between the <head> and </head> tags of your page.

Tip: When writing your metadata, follow the guidelines in the top right of the window for optimal effectiveness.


What are the Generator and Formatter tags?

What are the Generator and Formatter tags?

The Generator and Formatter tags specify the system that has generated the metatags, in this case PrePromote.

Their purpose is to allow tracking and analysis of the use of different systems across the web. They have no promotional significance unless people manually view the source code.

They have no affect on your pages' rankings so you can remove them without any adverse affects. It would be helpful for the Internet community as a whole, however, if you could leave them in.


Analysing web pages

Analysing web pages

The analysis tool analyses your web page's metatags in preparation for submission to search engines. It checks that all the metatags exist, are correctly structured and also checks for duplicate keywords in the keyword metatag.

To launch the analysis tool:

  • Click the "Analyse >" tab
  • Go to: "File" > "Analyse"

Operation:

Make sure that the URL of the web page you wish to analyse is entered in the "Website URL" text box and that you are connected to the Internet. Then simply press the "Analyze" button.

When the analysis is complete, the following information is displayed:

Keywords in metatag:

Lists all the keywords in the keyword metatag of the page that's been analysed.

Report:

Shows the results of the analysis along with suggestions as to how the page can be improved.

Duplicate keywords:

Lists any duplicate keywords found in the keyword metatag of the page that's been analysed.


Generating doorway pages

Generating doorway pages

The doorways tool generates doorway pages to your web pages. A doorway page is a web page that is specially designed to achieve a good position in search engine rankings. When people visit a doorway page, they will be automatically forwarded to your normal web page.

Properly designed and responsibly used doorway pages are beneficial to both web users and web site owners; they give web site owners more traffic and they give web users more precise search results and quicker access to relevant information.

To launch the doorways tool:

  • Click the "Doorways >" tab
  • Go to: "File" > "Doorways"

Operation:

Make sure that the URL of the web page you wish the doorway page to point to is entered in the "Website URL" text box. Enter a title, keywords and a description in the appropriate text boxes. Then simply press the "Generate" button.

A dialogue box will appear where you can choose a filename and location for the doorway page. Once you press "Save", the doorway page will be generated and you can upload it to your webserver.


Co-branding PrePromote

Co-branding PrePromote

PrePromote can be co-branded without charge and distributed freely to whoever you wish. It can feature your logo and links to your company's website.

For example, you could use it as a way to increase brand awareness and customer loyalty, since people will always see your logo when they use PrePromote. Alternatively, PrePromote could be used as a way of adding value to your products and services - by giving users a valuable and useful software product.

To begin the co-branding process:

  • Go to: "Tools" > "Co-brand PrePromote"

A step-by-step guide will then appear helping you to create a co-branded version of PrePromote.


Support

Support

Besides this help file, there are a number of ways in which you can obtain technical support for PrePromote.

PrePromote support website:

The PrePromote support website can be found at http://www.prepromote.com/support/. It has solutions to more common questions and problems and is certainly worth a look.

E-mail support:

If you have a problem that is not covered on the support website, you can contact us by e-mail:

  • support@prepromote.com


Take a tour

Take a tour

Take a quick tour of PrePromote to familiarise yourself with the basics and learn about the more advanced features:

PrePromote provides a broad set of integrated tools to prepare you website for inclusion in search engines:

  • Metatag creation
  • Page analysis
  • Doorway page generation

PrePromote can also be co-branded without charge and freely distributed.

Tip: You can press F1 at any point while you are using PrePromote to receive help with the current task.